---
title: Description
text: "After learning basic host lookup functionality like SPF and DMARC records, retrieving findings from the VirusTotal and AbuseIPDB API's about a domain, (more on that elsewhere), I wanted to build a simple GUI that does the same thing.\n\n### Tkinter\n\nThe builtin Python module [tkinter](https://docs.python.org/3/library/tkinter.html) seemed like a reasonable place to start. What I have now, is a basic one window application that takes improperly separated (space, comma, semicolon) or formatted (brackets) hosts like IP addresses, URLs, domain names and email addresses. Once entered, any necessary lookup information is provided, like DMARC and SPF (email), IP address (domain), hostname (IP address).\n\n### Todo\n\n* Class out the separate frames for the lookup information (a class for the entry box, classes for the host type information, a class for listing the unique hosts)\n* Provide a way to format the unique hosts (comma separated, double quotes) for further processing"
showtitle: '0'
position: main
page_container: container
date: '12:07 21-08-2019'
---

